Bug 190284 - port update: sysutils/cpulimit
Summary: port update: sysutils/cpulimit
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jonathan Chu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-26 22:00 UTC by Jesse
Modified: 2014-05-30 08:30 UTC (History)
0 users

See Also:


Attachments
file.diff (3.49 KB, patch)
2014-05-26 22:00 UTC, Jesse
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse 2014-05-26 22:00:00 UTC
The following patch brings the cpulimit patch up to date with upstream. This includes a number of bug fixes, a more flexible approach to signals and updated documentation.

Fix: Patch attached with submission follows:
Comment 1 Jonathan Chu freebsd_committer 2014-05-27 08:25:58 UTC
Hi Jesse,

This update seems to be overloaded. 2.2 is now pointing to a new fork of
the original cpulimit while cpulimit has been relaunched on github.

Would it be more wise to split this port into two with sysutils/limitcpu
from http://limitcpu.sourceforge.net/ and sysutils/cpulimit from
https://github.com/opsengine/cpulimit ?

-- 
milki
ports committer in training
Comment 2 Jesse 2014-05-27 13:34:09 UTC
On 14-05-27 04:25 AM, milki wrote:
> Hi Jesse,
> 
> This update seems to be overloaded. 2.2 is now pointing to a new fork of
> the original cpulimit while cpulimit has been relaunched on github.
> 
> Would it be more wise to split this port into two with sysutils/limitcpu
> from http://limitcpu.sourceforge.net/ and sysutils/cpulimit from
> https://github.com/opsengine/cpulimit ?
> 

First, I would like to point out that the cpulimit port has been
pointing to the new location for a few versions now. Anything past 1.1
would be the new upstream version and the last version of the FreeBSD
port was 1.4. We have been using the fork for over a year now in Ports.

Second, the github project is a sort of staging area for experimental
features and does not collaborate with download (Fedora, Debian,
FreeBSD). The LimitCPU branch is where stable features are implemented
and where downstream projects can submit patches to fix issues.

Keeping these things in mind, there really is not anything to be gained
from maintaining two separate ports. Nor, in my opinion, any reason to
make a port for the github project since it makes no effort to be
FreeBSD compatible.

Jesse
Comment 3 Jonathan Chu freebsd_committer 2014-05-27 16:42:24 UTC
On 09:34 Tue 27 May     , Jesse Smith wrote:
> Keeping these things in mind, there really is not anything to be gained
> from maintaining two separate ports. Nor, in my opinion, any reason to
> make a port for the github project since it makes no effort to be
> FreeBSD compatible.


Ok. That sounds reasonable. Does it make sense to update pkg-descr WWW                                                                                                                                                                                                          
to point to http://limitcpu.sourceforge.net/ then?

-- 
milki
Comment 4 Jonathan Chu freebsd_committer 2014-05-27 16:42:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->milki

I'll take this.
Comment 5 Jesse 2014-05-27 16:49:06 UTC
On 14-05-27 12:42 PM, milki wrote:
> On 09:34 Tue 27 May     , Jesse Smith wrote:
>> Keeping these things in mind, there really is not anything to be gained
>> from maintaining two separate ports. Nor, in my opinion, any reason to
>> make a port for the github project since it makes no effort to be
>> FreeBSD compatible.
> 
> Ok. That sounds reasonable. Does it make sense to update pkg-descr WWW                                                                                                                                                                                                          
> to point to http://limitcpu.sourceforge.net/ then?
> 

Yes, I think it does make sense to update the WWW path to point to the
new upstream.

Jesse
Comment 6 Jonathan Chu freebsd_committer 2014-05-27 16:49:56 UTC
Also, are you aware of stage directory [0]? This port will need to be
converted to use staging as well. Let me know off thread if need help
with that.


[0] https://wiki.freebsd.org/ports/StageDir

-- 
milki
Comment 7 dfilter service freebsd_committer 2014-05-30 08:24:57 UTC
Author: milki
Date: Fri May 30 07:24:52 2014
New Revision: 355795
URL: http://svnweb.freebsd.org/changeset/ports/355795
QAT: https://qat.redports.org/buildarchive/r355795/

Log:
  Update sysutils/cpulimit to 2.2
  
  - Update for stagedir
  - Update WWW
  
  PR:		ports/190284
  Submitted by:	jesse (maintainer)
  Reviewed by:	bapt
  Approved by:	swills (mentor), eadler (mentor)

Added:
  head/sysutils/cpulimit/files/patch-Makefile   (contents, props changed)
Deleted:
  head/sysutils/cpulimit/files/patch-cpulimit.c
Modified:
  head/sysutils/cpulimit/Makefile
  head/sysutils/cpulimit/distinfo
  head/sysutils/cpulimit/pkg-descr

Modified: head/sysutils/cpulimit/Makefile
==============================================================================
--- head/sysutils/cpulimit/Makefile	Fri May 30 07:14:28 2014	(r355794)
+++ head/sysutils/cpulimit/Makefile	Fri May 30 07:24:52 2014	(r355795)
@@ -2,24 +2,26 @@
 # $FreeBSD$
 
 PORTNAME=	cpulimit
-PORTVERSION=	1.4
+PORTVERSION=	2.2
 CATEGORIES=	sysutils
 MASTER_SITES=	SF/limitcpu/limitcpu/
 
 MAINTAINER=	jessefrgsmith@yahoo.ca
-COMMENT=	A program to limit the CPU usage of a process
+COMMENT=	Limit the CPU usage of a process
 
 LICENSE=	GPLv2
 
 CFLAGS+=	-lkvm -Wall -O2
-MANCOMPRESSED=	yes
 
-PLIST_FILES=	bin/${PORTNAME}
-MAN1=		${PORTNAME}.1
+PLIST_FILES=	bin/cpulimit \
+				man/man1/cpulimit.1.gz
 
-NO_STAGE=	yes
 post-patch:
 	@${REINPLACE_CMD} -e 's|share/||g' ${WRKSRC}/Makefile
 	@${REINPLACE_CMD} -e 's|gcc|${CC}|g' ${WRKSRC}/Makefile
 
+do-install:
+	${INSTALL_PROGRAM} ${WRKSRC}/cpulimit ${STAGEDIR}${PREFIX}/bin/cpulimit
+	${INSTALL_MAN} ${WRKSRC}/cpulimit.1 ${STAGEDIR}${MANPREFIX}/man/man1/cpulimit.1
+
 .include <bsd.port.mk>

Modified: head/sysutils/cpulimit/distinfo
==============================================================================
--- head/sysutils/cpulimit/distinfo	Fri May 30 07:14:28 2014	(r355794)
+++ head/sysutils/cpulimit/distinfo	Fri May 30 07:24:52 2014	(r355795)
@@ -1,2 +1,2 @@
-SHA256 (cpulimit-1.4.tar.gz) = 48bb37801c83c926bf891ca66927c4c51ed1f2186bb3d61a70b19168d3c576df
-SIZE (cpulimit-1.4.tar.gz) = 15950
+SHA256 (cpulimit-2.2.tar.gz) = 3f64daa5c4ab9245fa6ae5b564a2ffb3ae60677785103a207fd5f9c5c4cc29e4
+SIZE (cpulimit-2.2.tar.gz) = 22224

Added: head/sysutils/cpulimit/files/patch-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/cpulimit/files/patch-Makefile	Fri May 30 07:24:52 2014	(r355795)
@@ -0,0 +1,15 @@
+--- ./Makefile.orig	2014-05-26 17:50:50.639513964 -0300
++++ ./Makefile	2014-05-26 17:51:17.773388294 -0300
+@@ -11,11 +11,8 @@
+ minix:
+ 	$(CC) -o cpulimit cpulimit.c $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)
+ 
+-freebsd:
+-	$(CC) -o cpulimit cpulimit.c -lrt -DFREEBSD $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)
+-
+ cpulimit: cpulimit.c
+-	$(CC) -o cpulimit cpulimit.c -lrt -DLINUX $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)
++	$(CC) -o cpulimit cpulimit.c -lrt -lkvm -DFREEBSD $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)
+ 
+ tests:
+ 	$(MAKE) -C test

Modified: head/sysutils/cpulimit/pkg-descr
==============================================================================
--- head/sysutils/cpulimit/pkg-descr	Fri May 30 07:14:28 2014	(r355794)
+++ head/sysutils/cpulimit/pkg-descr	Fri May 30 07:24:52 2014	(r355795)
@@ -2,4 +2,4 @@ The cpulimit program throttles back a pr
 user to slow down jobs that would otherwise choke the processor. It is also
 helpful on laptops where we want to avoid generating a lot of heat.
 
-WWW:	http://cpulimit.sourceforge.net/
+WWW: http://limitcpu.sourceforge.net/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Jonathan Chu freebsd_committer 2014-05-30 08:25:24 UTC
State Changed
From-To: open->closed

Thanks! Committed with minor changes.